Subject: Re: bug#33885: 27.0.50; PUA character makes emacs crash

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Mar 2022 23:43:48 +0100

Eli Zaretskii <[email-masked]> writes:

>> I vaguely recall a similar problem being fixed recently (but not with
>> this specific character).  Would it be possible for you to try Emacs 28/29
>> and see whether the problem is still present there?
>
> Yes, we now do
>
>       if (it->ascent < 0)
> 	it->ascent = 0;
>       if (it->descent < 0)
> 	it->descent = 0;
>
> so I think this assertion violation should not happen anymore.  (And
> in a production build, the assertion goes away anyway.)

And there wasn't any further response within a month, so I'm closing
this bug report.  If the problem still exists, please respond to this
email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no